# 17. Запитване: Получаване на „SoilDatasets“

Вземете всички "SoilDatasets" за избраното "Field". Данните могат да бъдат извлечени с помощта на общи GraphQL заявки като `getFarms` и `getFields` от свързаното "Field".&#x20;

{% hint style="warning" %}
"SoilDataset" трябва да бъде качен предварително.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #шаблон "<OperationType> <YYYY-mm-DD>"
        operationId #ако съществува
        number #общ брой геофункции
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #пълни детайли за всеки атрибут
          name #връзка към статистики >> атрибут
          transliteratedName
          fullName #ако съществува
          unit #ако съществува
        }

        createdDate #дата и час на създаване на обекта в GeoPard
        updatedDate #дата и час на последна актуализация
        operationType
        operationId
        operationFileDate #дата и час на създаване на файла
        operationStartDate #начало на операцията
        
        statistics { #разпределение на статистиките за всеки почвен атрибут
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        name  
        operationId #ако съществува 
        number #общ брой геофункции 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #връзка към статистики >> атрибут
          transliteratedName
          fullName #ако съществува
          unit #ако съществува
        }
      
        createdDate #дата и час на създаване в GeoPard
        updatedDate #дата и час на последна актуализация в GeoPard
        operationFileDate #дата и час на създаване на файла (ако съществува)
        operationStartDate #начало на операцията (ако съществува)
      
        statistics { #статистическо разпределение за всеки почвен атрибут
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #визуално представяне
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumenti/obsh-pregled-na-zayavkite-km-geopard-api/17.-zapitvane-poluchavane-na-soildatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
